Page MenuHomePhabricator

Reclone db1063 to become a slave in s5
Closed, ResolvedPublic

Description

db1063 will replace current s5 master as part of: T162133
It needs to be recloned.

It is currently running Jessie 8.7 and 10.0.29 so only recloning is needed. I would not upgrade it to 10.0.30 (although we have slave servers running that version for almost a month without any issues).

I would suggest we reclone from db1071 as it is running 10.0.23 the other hosts: db1070, d1082, db1087 and db1092 are running 10.0.30 so it might not be ideal

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Repool db1071
operations/puppet : productionsite.pp: Move db1063 to s5
operations/software : masters2,5.hosts: Move db1063 from s2 to s5
operations/mediawiki-config : masterdb-eqiad.php: Depool db1071
operations/mediawiki-config : masterdb-eqiad.php: Move db1063 to s5

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2017, 1:08 PM
Marostegui moved this task from Triage to Next on the DBA board.Apr 17 2017, 1:08 PM

We need to check this: T161294#3174207

Change 349378 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Move db1063 to s5

https://gerrit.wikimedia.org/r/349378

Change 349381 had a related patch set uploaded (by Marostegui):
[operations/puppet@production] site.pp: Move db1063 to s5

https://gerrit.wikimedia.org/r/349381

Change 349378 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Move db1063 to s5

https://gerrit.wikimedia.org/r/349378

Change 349382 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1070

https://gerrit.wikimedia.org/r/349382

Change 349382 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1071

https://gerrit.wikimedia.org/r/349382

Marostegui moved this task from Next to In progress on the DBA board.Apr 21 2017, 7:47 AM

Mentioned in SAL (#wikimedia-operations) [2017-04-21T07:47:53Z] <marostegui> Stop MySQL on db1071 and db1063 to reclone db1063 - T163109

Change 349387 had a related patch set uploaded (by Marostegui):
[operations/software@master] s2,5.hosts: Move db1063 from s2 to s5

https://gerrit.wikimedia.org/r/349387

Change 349387 merged by jenkins-bot:
[operations/software@master] s2,5.hosts: Move db1063 from s2 to s5

https://gerrit.wikimedia.org/r/349387

Change 349381 merged by Marostegui:
[operations/puppet@production] site.pp: Move db1063 to s5

https://gerrit.wikimedia.org/r/349381

Change 349402 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Repool db1071

https://gerrit.wikimedia.org/r/349402

Change 349402 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Repool db1071

https://gerrit.wikimedia.org/r/349402

Mentioned in SAL (#wikimedia-operations) [2017-04-21T10:35:36Z] <marostegui@naos> Synchronized wmf-config/db-eqiad.php: Repool db1071 - T163109 (duration: 01m 20s)

The scope of this ticket is done. db1063 is now replicating as slave (that means binlog type = MIXED) so that needs to be changed before making it the master.
SSL and GTID are enabled.

We will follow up the master switchover on the main ticket: T162133

Marostegui closed this task as Resolved.Apr 21 2017, 11:56 AM
Marostegui claimed this task.